<?php require_once('Connections/cn.php'); ?>
<?php
 session_start();
    //Impide que la p?gina sea vista desde el navegador.
	// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];
 

  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];
  
  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="inscribirse.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="2") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="inscribirse.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		return;
  }  
	  
	  

	mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
	// Para tomar los datos del alumno
	$sql = "SELECT id_alumno,cedula,apellidos, nombres, status FROM alumnos where cedula='$cedula_usuario' OR pasaporte='$cedula_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_alumno= $row['id_alumno'];
	$cedula= $row['cedula'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	   
	
	//Selecciona solo las carreras y sedes donde se puede inscribir el estudiante.
	// Esto es para el caso de carreras en paralelo.
	$query_rscarreras = "SELECT carreras_alumno.id_carrera as id_carrera, carreras_alumno.pensum, carreras_alumno.nivel, carreras_alumno.mencion, carreras_alumno.sede, carreras_alumno.turno, carreras_alumno.seccion,  carreras.nombre_carrera FROM carreras,carreras_alumno where carreras_alumno.id_alumno='$id_alumno' and carreras_alumno.id_carrera=carreras.id_carrera and carreras_alumno.status='ACTIVA' ORDER BY carreras.nivel DESC";
	$rscarreras = mysql_query($query_rscarreras, $cn) or die(mysql_error());
	$row_rscarreras = mysql_fetch_assoc($rscarreras);
	$totalRows_rscarreras = mysql_num_rows($rscarreras);
	$pensum=$row_rscarreras['pensum'];
	$mencion=$row_rscarreras['mencion'];
	$nivel=$row_rscarreras['nivel'];
    $turno=$row_rscarreras['turno'];
	$seccion=$row_rscarreras['seccion'];
	$sede=$row_rscarreras['sede'];
	$id_carrera=$row_rscarreras['id_carrera'];

     // Borra la tabla inscripciones_tmp para el alumno en el programa donde se desea inscribir.
    $sql="delete from inscripciones_tmp where id_carrera='$id_carrera' and id_alumno='$id_alumno'";
mysql_query($sql, $cn) or die(mysql_error());

	// Datos del turno del estudiante.	
	$query_rsturno = "SELECT turno FROM turnos WHERE codigo='$turno'";
	$rsturno = mysql_query($query_rsturno, $cn) or die(mysql_error());
	$row_rsturno = mysql_fetch_assoc($rsturno);
	$nombre_turno=$row_rsturno['turno'];
	
	// Datos de la sede del estudiante.	
	$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
	$rs_sede = mysql_query($query_sede, $cn) or die(mysql_error());
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede=$row_sede['nombre_sede'];
	
	// Datos de la carrera estudiante.	
	$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
	$rs_carrera = mysql_query($query_carrera, $cn) or die(mysql_error());
	$row_carrera = mysql_fetch_assoc($rs_carrera);
	$nombre_carrera=$row_carrera['nombre_carrera'];
	
	$nombre_mencion="COMPONENTE GENERAL";
	$query_menciones = "SELECT id_mencion,nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$mencion'";
    $rst_menciones = mysql_query($query_menciones, $cn) or die(mysql_error());
    $row_menciones = mysql_fetch_assoc($rst_menciones);
    $totalRows_menciones = mysql_num_rows($rst_menciones);
	if($totalRows_menciones>0) $nombre_mencion= $row_menciones['nombre_mencion'];
	  
	// Datos de la Sede de estudiante
	$query_rssedes = "SELECT DISTINCT carreras_alumno.sede as codigo,sedes.nombre_sede FROM sedes,carreras_alumno where carreras_alumno.id_alumno='$id_alumno' and carreras_alumno.sede=sedes.codigo and carreras_alumno.status='ACTIVA' ORDER BY sedes.nombre_sede ASC";
	$rssedes = mysql_query($query_rssedes, $cn) or die(mysql_error());
	$row_rssedes = mysql_fetch_assoc($rssedes);
	$totalRows_rssedes = mysql_num_rows($rssedes);
    
	// Datos de los periodos abiertos.	
	$query_rsperiodos = "SELECT DISTINCT inscripciones.id_periodo, periodos.codigo, periodos.tipo
FROM inscripciones, periodos
WHERE inscripciones.id_periodo = periodos.id_periodo
AND inscripciones.id_alumno ='$id_alumno'";
	$rsperiodos = mysql_query($query_rsperiodos, $cn) or die(mysql_error());
	// $row_rsperiodos = mysql_fetch_assoc($rsperiodos);
	$totalRows_rsperiodos = mysql_num_rows($rsperiodos);
	
	if($totalRows_rsperiodos==0){
	   ?>
	     <script type="text/javascript">
	        msj="!Lo sentimos!. Estudiante no está inscrito actualmente.";
		    alert(msj);
	     </script>
	   <?php
	   exit;
	 }
	
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>SIGA - ENAHP</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>

<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Progreso Académico del Estudiante</h2></td></tr></table>
<form name="form1"  id="form1" >
  <table width="95%" border="0" align="center" id="carga" cellpadding="1" cellspacing="5" style="border:1px solid #ccc;">
 <tr>
      <td width="69"><div align="right">C&eacute;dula:</div></td>
      <td width="503" colspan="2"><label>
        <input class="bd1" name="cedula" id="cedula"  type="text" size="12" maxlength="20" disabled="disabled" value="<?php echo $cedula; ?>"> 
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Apellidos:</div></td>
      <td colspan="2"><label>
        <input  name="apellidos" id="apellidos"  type="text" size="35" maxlength="50" disabled="disabled" value="<?php echo $apellidos; ?>"> 
      </label>
      &nbsp;&nbsp;&nbsp;&nbsp;Nombres:&nbsp;&nbsp;
      <label>
      <input  name="nombres" id="nombres"  type="text" size="35" maxlength="50" disabled="disabled" value="<?php echo $nombres; ?>"> 
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td >
        <select name="id_carrera" id="id_carrera" style="width:400px">
          <option value="<?php echo $id_carrera ?>"><?php echo $nombre_carrera ?></option>
        </select>
    
	  &nbsp;&nbsp;&nbsp;Pensum:&nbsp;
      <select name="pensum" id="pensum" >
            <option value="<?php echo $pensum ?>"><?php echo $pensum ?></option>
        </select></td>
    </tr>
    
    <tr>
      <td><div align="right">Menci&oacute;n:</div></td>
      <td><select name="mencion" id="mencion" >
          <option value="<?php echo $mencion ?>"><?php echo $nombre_mencion ?></option>
        </select>
        &nbsp;&nbsp;&nbsp;Turno:&nbsp;
        <label>
          <select name="turno" id="turno" >
            <option value="<?php echo $turno ?>"><?php echo $nombre_turno ?></option>
        </select>
        &nbsp;&nbsp;&nbsp;Sede:&nbsp;
        <select name="id_sede" id="id_sede" >
          <option value="<?php echo $sede ?>"><?php echo $nombre_sede ?></option>
        </select>
</label></td></tr>
    <tr>
      <td width="69">Lapso:</td>
      <td><label>
        <select name="periodo" id="periodo" 
		  <?php
do {  
?>
          <option value="<?php echo $row_rsperiodos['id_periodo']?>"><?php echo $row_rsperiodos['codigo']?>&nbsp;(<?php echo $row_rsperiodos['tipo']?>)</option>
          <?php
} while ($row_rsperiodos = mysql_fetch_assoc($rsperiodos));
  $rows = mysql_num_rows($rsperiodos);
  if($rows > 0) {
      mysql_data_seek($rsperiodos, 0);
	  $row_rsperiodos = mysql_fetch_assoc($rsperiodos);
  }
?>
        </select></label>
        &nbsp;&nbsp;&nbsp;
        <label></label></td>
    </tr>
    
    
    <tr>
      <td height="34" colspan="3"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Consultar" onClick="return inscripciones('<?php echo $cedula ?>','<?php echo $apellidos ?>','<?php echo $nombres ?>','<?php echo $seccion ?>','<?php echo $mencion ?>')" >
		</label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
		if(document.form1.id_carrera.value==""){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
			return true;
	}
	
</script>
 <?php


mysql_free_result($rssedes);

mysql_free_result($rsperiodos);

mysql_free_result($rscarreras);
?>

<script type="text/javascript">
	
	function verificar_inscripcion(periodo,cedula)
    {
	alert(periodo);
 	if (cedula!="")
	 {
	 url="validar_inscripcion_historico.php?cedula="+cedula+"&id_periodo="+document.form1.periodo.value;
	 frame1.location=url;
	 }
}
</script>

<script type="text/javascript">
 function inscripciones(cedula,apellidos,nombres,seccion,mencion)
 {

  <!-- alert("¡Lo sentimos!.  El proceso de inscripción culminó el día 18-01-2013.");
	<!--		return false; 

    if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
     if(document.form1.id_sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.id_sede.focus();
			return false;
			}
	if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
   	<!-- Procede a validar la inscripción.
	 url="modelo/class_pdf/evaluacion_acumulada.php?id_periodo="+document.form1.periodo.value+"&cedula="+cedula+"&mencion="+mencion;
	window.open(url);	 
 }
</script>
<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
  ?>
